<div class="modal fade show" [attr.data-theme]="themes.getCurrentThemeValue()"
    [class.fixed-height]="fixedHeight"
    tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document" #modalDialog>
        <div class="modal-content">
            <div class="modal-header">
                <ng-content select="[title]" class="modal-title"></ng-content>
                <button type="button" class="close" (click)="closeDialog()"
                    data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body p-0" [class.no-footer]="!footer">
                <ng-content select="[body]"></ng-content>
            </div>
            <ng-content select="[footer]" class="modal-footer"></ng-content>
        </div>
    </div>
</div>
